{
  "AbilityName": "Device_Prop_Collection_01_Effect",
  "AbilityStacking": "Unique",
  "DefaultModifier": {
    "OnAdded": [
      {
        "$type": "ApplyModifier",
        "ModifierName": "RareEffectModifier",
        "Target": "Self"
      }
    ]
  },
  "Modifiers": {
    "RareEffectModifier": {
      "Duration": -1,
      "ModifierStacking": "Unique",
      "OnAdded": [
        {
          "$type": "AttachEffect",
          "AttachEffectPosRot": {
            "CoordsOption": "ReferTarget",
            "Offset": {
              "AngleOffset": {
                "x": 0,
                "y": 0,
                "z": 0
              },
              "IsUseRotationXZ": true,
              "IsUseRotationY": true,
              "PositionOffset": {
                "x": 0,
                "y": 0,
                "z": 0
              }
            },
            "TargetOption": {
              "$type": "ConfigPosRotReferTarget",
              "AttachPoint": "Ctr_Pos",
              "IsUseAttachPointPos": true,
              "IsUseAttachPointRotation": true,
              "OffsetReferTarget": "Self"
            }
          },
          "EffectPattern": "Eff_Device_Prop_Collection_01_01_RareA",
          "EffectScale": {
            "x": 1,
            "y": 1,
            "z": 1
          },
          "Predicates": [
            {
              "$type": "ByTags",
              "TagList": [
                "Gather_A"
              ],
              "Target": "Self"
            }
          ],
          "Target": "Self"
        },
        {
          "$type": "AttachEffect",
          "AttachEffectPosRot": {
            "CoordsOption": "ReferTarget",
            "Offset": {
              "AngleOffset": {
                "x": 0,
                "y": 0,
                "z": 0
              },
              "IsUseRotationXZ": true,
              "IsUseRotationY": true,
              "PositionOffset": {
                "x": 0,
                "y": 0,
                "z": 0
              }
            },
            "TargetOption": {
              "$type": "ConfigPosRotReferTarget",
              "AttachPoint": "Ctr_Pos",
              "IsUseAttachPointPos": true,
              "IsUseAttachPointRotation": true,
              "OffsetReferTarget": "Self"
            }
          },
          "EffectPattern": "Eff_Device_Prop_Collection_01_02_RareB",
          "EffectScale": {
            "x": 1,
            "y": 1,
            "z": 1
          },
          "Predicates": [
            {
              "$type": "ByTags",
              "TagList": [
                "Gather_B"
              ],
              "Target": "Self"
            }
          ],
          "Target": "Self"
        },
        {
          "$type": "AttachEffect",
          "AttachEffectPosRot": {
            "CoordsOption": "ReferTarget",
            "Offset": {
              "AngleOffset": {
                "x": 0,
                "y": 0,
                "z": 0
              },
              "IsUseRotationXZ": true,
              "IsUseRotationY": true,
              "PositionOffset": {
                "x": 0,
                "y": 0,
                "z": 0
              }
            },
            "TargetOption": {
              "$type": "ConfigPosRotReferTarget",
              "AttachPoint": "Ctr_Pos",
              "IsUseAttachPointPos": true,
              "IsUseAttachPointRotation": true,
              "OffsetReferTarget": "Self"
            }
          },
          "EffectPattern": "Eff_Device_Prop_Collection_01_03_RareC",
          "EffectScale": {
            "x": 1,
            "y": 1,
            "z": 1
          },
          "Predicates": [
            {
              "$type": "ByTags",
              "TagList": [
                "Gather_C"
              ],
              "Target": "Self"
            }
          ],
          "Target": "Self"
        },
        {
          "$type": "AttachEffect",
          "AttachEffectPosRot": {
            "CoordsOption": "ReferTarget",
            "Offset": {
              "AngleOffset": {
                "x": 0,
                "y": 0,
                "z": 0
              },
              "IsUseRotationXZ": true,
              "IsUseRotationY": true,
              "PositionOffset": {
                "x": 0,
                "y": 0,
                "z": 0
              }
            },
            "TargetOption": {
              "$type": "ConfigPosRotReferTarget",
              "AttachPoint": "Ctr_Pos",
              "IsUseAttachPointPos": true,
              "IsUseAttachPointRotation": true,
              "OffsetReferTarget": "Self"
            }
          },
          "EffectPattern": "Eff_Device_Prop_Collection_01_04_RareS",
          "EffectScale": {
            "x": 1,
            "y": 1,
            "z": 1
          },
          "Predicates": [
            {
              "$type": "ByTags",
              "TagList": [
                "Gather_S"
              ],
              "Target": "Self"
            }
          ],
          "Target": "Self"
        }
      ]
    }
  }
}